package com.franckbarbier.chain_of_responsibility;

public interface Disability { // "Handicap" en français

    default public String attestation() {
        return "Bla Bla Bla...";
    }

    public enum Equipment { // Béquille ? Rien ? Chaise roulante ?
        Crutch, None, Wheelchair // Etc.
    }

    default Equipment equipment() {
        return Equipment.None;
    }

    default int escort() { // Besoin de l'aide d'autes personnes ? Combien ?
        return 0; // Number of support people
    }
}
